### Hierarchy

- Core
  - CS

## Index

### Constructors

- constructor

### Properties

- BatchRequest
- contract
- getBalance
- getCurrentBlock
- getNonce
- getTransaction
- personal
- provider
- providers
- requestManager
- sendSignedTransaction
- setMineCoinbase
- wallet
- providers

### Accessors

- currentProvider

### Methods

- buildCall
- setProvider

## Constructors

### constructor

- new CS(provider: any, net?: any): CS

- Overrides Core.constructor

  - Defined in cs/index.ts:11

  #### Parameters

  - ##### provider: any

  - ##### Optional net: any

  #### Returns CS

## Properties

### BatchRequest

BatchRequest: BatchManager

Inherited from Core.BatchRequest

- Defined in core/index.ts:13

### contract

contract: Contract

- Defined in cs/index.ts:10

### getBalance

getBalance: function = this.buildCall({call: 'chainstack_currentBalance',inputFormatter: [Helper.Formatters.inputAddressFormatter],name: 'getBalance',outputFormatter: Helper.Formatters.outputBalanceFormatter,params: 1})

- Defined in cs/index.ts:25

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getCurrentBlock

getCurrentBlock: function = this.buildCall({call: 'chainstack_currentBlock',name: 'getCurrentBlock',params: 0})

- Defined in cs/index.ts:41

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getNonce

getNonce: function = this.buildCall({call: 'chainstack_getTransactionNonce',name: 'getNonce',inputFormatter: [Helper.Formatters.inputAddressFormatter],outputFormatter: Helper.Formatters.outputNonceFormatter,params: 1})

- Defined in cs/index.ts:33

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### getTransaction

getTransaction: function = this.buildCall({call: 'chainstack_transaction',name: 'getTransaction',params: 1})

- Defined in cs/index.ts:75

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### personal

personal: Personal

- Defined in cs/index.ts:9

### provider

provider: Provider

Inherited from Core.provider

- Defined in core/index.ts:10

### providers

providers: ProvidersInterface

Inherited from Core.providers

- Defined in core/index.ts:11

### requestManager

requestManager: RequestManager

Inherited from Core.requestManager

- Defined in core/index.ts:12

### sendSignedTransaction

sendSignedTransaction: function = this.buildCall({call: 'chainstack_newTransaction',inputFormatter: [Helper.Formatters.inputHashFormatter],name: 'sendSignedTransaction',params: 1})

- Defined in cs/index.ts:81

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### setMineCoinbase

setMineCoinbase: function = this.buildCall({call: 'chainstack_setMineCoinBase',name: 'setMineCoinbase',params: 1})

- Defined in cs/index.ts:88

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### wallet

wallet: Wallet

- Defined in cs/index.ts:11

### Static providers

providers: ProvidersInterface = RequestManager.providers

Inherited from Core.providers

- Defined in core/index.ts:9

## Accessors

### currentProvider

- get currentProvider(): any
- set currentProvider(value: any): void

- Inherited from Core.currentProvider

  - Defined in core/index.ts:28

  #### Returns any

- Inherited from Core.currentProvider

  - Defined in core/index.ts:32

  #### Parameters

  - ##### value: any

  #### Returns void

## Methods

### buildCall

- buildCall(options: MethodOptions): function

- Inherited from Core.buildCall

  - Defined in core/index.ts:41

  #### Parameters

  - ##### options: MethodOptions

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

### setProvider

- setProvider(provider: string | Provider, net?: any): void

- Overrides Core.setProvider

  - Defined in cs/index.ts:20

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns void

Generated using TypeDoc